Loading...
Searching...
No Matches
BamAux.h File Reference
`#include <cstddef>`
`#include <cstring>`
`#include <fstream>`
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "api/api_global.h"`

Go to the source code of this file.

## Classes

struct | BamTools::CigarOp
| Represents a CIGAR alignment operation. More...
struct | BamTools::RefData
| Represents a reference sequence entry. More...
struct | BamTools::BamRegion
| Represents a sequential genomic region. More...
struct | BamTools::CustomHeaderTag

## Namespaces

namespace | BamTools
| Contains all BamTools classes & methods.

## Typedefs

typedef std::vector< RefData > | BamTools::RefVector
| convenience typedef for vector of RefData entries

## Functions

bool | BamTools::FileExists (const std::string &filename)
| returns true if the file exists
void | BamTools::SwapEndian_16 (uint16_t &x)
| swaps endianness of unsigned 16-bit integer, in place
void | BamTools::SwapEndian_16 (int16_t &x)
| swaps endianness of signed 16-bit integer, in place
void | BamTools::SwapEndian_32 (uint32_t &x)
| swaps endianness of unsigned 32-bit integer, in place
void | BamTools::SwapEndian_32 (int32_t &x)
| swaps endianness of signed 32-bit integer, in place
void | BamTools::SwapEndian_64 (uint64_t &x)
| swaps endianness of unsigned 64-bit integer, in place
void | BamTools::SwapEndian_64 (int64_t &x)
| swaps endianness of signed 64-bit integer, in place
void | BamTools::SwapEndian_16p (char *data)
| swaps endianness of the next 2 bytes in a buffer, in place
void | BamTools::SwapEndian_32p (char *data)
| swaps endianness of the next 4 bytes in a buffer, in place
void | BamTools::SwapEndian_64p (char *data)
| swaps endianness of the next 8 bytes in a buffer, in place
bool | BamTools::SystemIsBigEndian ()
| checks host architecture's byte order
void | BamTools::PackUnsignedInt (char *buffer, unsigned int value)
| stores unsigned integer value in a byte buffer
void | BamTools::PackUnsignedShort (char *buffer, unsigned short value)
| stores unsigned short integer value in a byte buffer
double | BamTools::UnpackDouble (const char *buffer)
| reads a double value from byte buffer
float | BamTools::UnpackFloat (const char *buffer)
| reads a float value from byte buffer
signed int | BamTools::UnpackSignedInt (const char *buffer)
| reads a signed integer value from byte buffer
signed short | BamTools::UnpackSignedShort (const char *buffer)
| reads a signed short integer value from byte buffer
unsigned int | BamTools::UnpackUnsignedInt (const char *buffer)
| reads an unsigned integer value from byte buffer
unsigned short | BamTools::UnpackUnsignedShort (const char *buffer)
| reads an unsigned short integer value from byte buffer

## Detailed Description

Provides data structures & utility methods that are used throughout the API.